html, body {
    height: 100%;
    margin: 0;
}

.body {
    margin: 0% 10%;
    display: flex;
    flex-direction: column;
    container-type: inline-size;
}

@media (min-width: 769px) {
    .body {
        width: 614.4px; 
        margin: 0 auto;
    }
}

main {
    flex: 1;
}

footer {
    text-align: center;
    font-size: 2cqw;
    margin-top: 3cqw;
}